Feature: Host Meta
	As defined in https://www.rfc-editor.org/rfc/rfc6415.html

    Scenario:
        Given A Fediverse server
        When Querying /.well-known/host-meta
        Then The page must resolve at port 80 or 443
		And If both port 80 _and_ 443 work, then they SHOULD return same document 
		And The document SHOULD be served with "application/xrd+xml" media type
		And The host-meta document root MUST be an "XRD" element
		And The document SHOULD NOT include a "Subject" element
		And The document SHOULD include "Link" element
		And The document's "Link" element should include either "template" or "href" attributes
		And The document should have at least on 'lrdd' document
		And Fediverse specific: The lrdd document must include template containing WebFinger well-known URI
